Subject: Toadstool problem with houseplants

From: [email-masked] (Pat Nash)
Date: Thu, 2 Mar 1995 16:52:27 GMT

Help!  Ever since repotting some houseplants last summer, I have had a 
constant problem with toadstool type things growing after watering.  
These have spread to other plants that were not repotted.  Is there 
anything I can do to get rid of these.  They seem to grow from nothing to 
2 or 3 inches high in a couple of days.

Currently, I just take a spoon and very gently dig them out trying not to 
stir them up (I am aware of spores on these things).  Is there any type 
of herbacide for this problem or will I just have to repot again?

Patrick Nash
[email-masked]